comonad-4.0: Comonads

Portability | portable
Stability | provisional
Maintainer | Edward Kmett <ekmett@gmail.com>
Safe Haskell | Safe-Inferred

Control.Comonad.Trans.Identity

Description

Synopsis

- newtype IdentityT m a = IdentityT {
  - runIdentityT :: m a
  }

# Documentation

newtype IdentityT m a

The trivial monad transformer, which maps a monad to an equivalent monad.

Constructors

IdentityT |

Fields

runIdentityT :: m a

Instances

MonadTrans IdentityT |
ComonadTrans IdentityT |
ComonadHoist IdentityT |
ComonadEnv e w => ComonadEnv e (IdentityT w) |
ComonadStore s w => ComonadStore s (IdentityT w) |
ComonadTraced m w => ComonadTraced m (IdentityT w) |
Monad m => Monad (IdentityT m) |
Functor m => Functor (IdentityT m) |
MonadFix m => MonadFix (IdentityT m) |
MonadPlus m => MonadPlus (IdentityT m) |
Applicative m => Applicative (IdentityT m) |
Foldable f => Foldable (IdentityT f) |
Traversable f => Traversable (IdentityT f) |
Alternative m => Alternative (IdentityT m) |
Distributive g => Distributive (IdentityT g) |
MonadIO m => MonadIO (IdentityT m) |
ComonadApply w => ComonadApply (IdentityT w) |
Comonad w => Comonad (IdentityT w) |